using Microsoft.AspNetCore.Components;
using WF_WebAdmin.Model;
using static System.Net.WebRequestMethods;

namespace WF_WebAdmin.Service
{
    public class QuoteServiceStub : IQuoteService
    {
        [Inject]
        public HttpClient Http { get; set; }

        [Inject]
        public NavigationManager NavigationManager { get; set; }





        public Task addQuote(Quote quote)
        {
            throw new NotImplementedException();
        }

        public Task<List<Quote>> getAllQuote()
        {
            throw new NotImplementedException();
        }

        public Task<List<Quote>> getAllQuoteInvalid()
        {
            throw new NotImplementedException();
        }

        public Task<List<Quote>> getOnequote(int id)
        {
            throw new NotImplementedException();
        }

        public Task<List<Quote>> getSomeQuote(int nb, int page)
        {
            throw new NotImplementedException();
        }

        public Task<List<Quote>> getSomeQuoteInvalid(int nb, int page)
        {
            throw new NotImplementedException();
        }

        public Task removeQuote(Quote quote)
        {
            throw new NotImplementedException();
        }

        public Task<List<Quote>> reserchQuote(string reserch, List<string> argument)
        {
            throw new NotImplementedException();
        }

        public Task updateQuote(Quote quote)
        {
            throw new NotImplementedException();
        }

        public Task validQuote(Quote quote)
        {
            throw new NotImplementedException();
        }
    }
}
